[roll third_party/pigweed] pw_toolchain: Fix potential variable redefinition error

default_configs is not empty when evaluating host_clang/toolchains.gni
in the context of a non-default toolchain

Original-Bug: 461
Original-Reviewed-on: https://pigweed-review.googlesource.com/c/pigweed/pigweed/+/57041

https://pigweed.googlesource.com/pigweed/pigweed
third_party/pigweed Rolled-Commits: f973e861a224b23..433c17fb8d41664
Roller-URL: https://ci.chromium.org/b/8837306056155199889
Cq-Cl-Tag: roller-builder:pigweed-sample-project-roller
Cq-Cl-Tag: roller-bid:8837306056155199889
CQ-Do-Not-Cancel-Tryjobs: true
Change-Id: Id27ca83e267c2bd7e6ed6eabd35147a6b68ab2b5
Reviewed-on: https://pigweed-review.googlesource.com/c/pigweed/sample_project/+/59200
Bot-Commit: Pigweed Integration Roller <pigweed-integration-roller@pigweed.google.com.iam.gserviceaccount.com>
Commit-Queue: Pigweed Integration Roller <pigweed-integration-roller@pigweed.google.com.iam.gserviceaccount.com>
diff --git a/third_party/pigweed b/third_party/pigweed
index f973e86..433c17f 160000
--- a/third_party/pigweed
+++ b/third_party/pigweed
@@ -1 +1 @@
-Subproject commit f973e861a224b2395c5f04988766763f4512b292
+Subproject commit 433c17fb8d4166402fc69cd58cddde31454cc7fe